// component/Search/search.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    array: ['美国', '中国', '巴西', '日本'],
    InputFous:false,
    CitySite:false,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    CloseCity(e){
      console.log(e.target.dataset.target)
      if (e.target.dataset.target=="self"){
        this.setData({
          CitySite: false,
        })
      }
    },
    ChangeSite(){
      this.setData({
        CitySite: true,
      })
    },
    bindPickerChange: function (e) {
      console.log('picker发送选择改变，携带值为', e.detail.value)
      this.setData({
        index: e.detail.value
      })
    },
    ListenInput(){
      this.setData({
        InputFous:true,
      })
    },
  }
})
